Bug 1420932 - Samba server can authenticate user from WIN7 machine, but not from W2012 AD r2 machine.
Summary: Samba server can authenticate user from WIN7 machine, but not from W2012 AD r...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: samba
Version: 7.2
Hardware: All
OS: All
high
high
Target Milestone: rc
: ---
Assignee: Andreas Schneider
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1420851
TreeView+ depends on / blocked
 
Reported: 2017-02-09 22:18 UTC by Amy Farley
Modified: 2020-04-15 15:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-17 14:15:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Amy Farley 2017-02-09 22:18:40 UTC
Description of problem:
The same user can access a samba share from an WIN7 machine, but not from the AD2012 machine.

We have tried to set the max protocol for the samba server to smb2, but without success.

Version-Release number of selected component (if applicable):

awk '{ print $1 }' installed-rpms | grep samba
samba-4.2.10-6.2.el7_2.x86_64
samba-client-4.2.10-6.2.el7_2.x86_64
samba-client-libs-4.2.10-6.2.el7_2.x86_64
samba-common-4.2.10-6.2.el7_2.noarch
samba-common-libs-4.2.10-6.2.el7_2.x86_64
samba-common-tools-4.2.10-6.2.el7_2.x86_64
samba-libs-4.2.10-6.2.el7_2.x86_64
libsmbclient-4.2.10-6.2.el7_2.x86_64
sssd-libwbclient-1.13.0-40.el7_2.9.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. Use FQDN to browse to share
2. attempt to authenticate

Actual results:
AD 2012 access fails

Expected results:
same as what win7 machine would do

Additional info:

Comment 6 Andreas Schneider 2017-02-23 14:28:49 UTC
Can you ask the customer if he can reproduce it with Samba 4.4.4 from RHEL 7.3?

Comment 7 amitkuma 2017-07-06 09:43:32 UTC
Hello Amy,

Looks Cust is on 7.2. Can you please confirm the Issue on 7.3(samba-4.4.4-9) as asked by andreas. 

Thanks
Amit

Comment 8 Andreas Schneider 2017-08-14 15:26:17 UTC
Ping!


Note You need to log in before you can comment on or make changes to this bug.